summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMiroslav Šulc <fordfrog@gentoo.org>2019-04-19 17:18:54 +0200
committerMiroslav Šulc <fordfrog@gentoo.org>2019-04-19 17:18:54 +0200
commit8f8b264fdc8819da0472d62f9814aafff805386f (patch)
tree6f38f6197d7cedaf5771f1caac596848b55e9b89
parentdev-java/tomcat-servlet-api-{7.0.92,8.5.38,9.0.{8,16}}: removed obsolete (diff)
downloadgentoo-8f8b264fdc8819da0472d62f9814aafff805386f.tar.gz
gentoo-8f8b264fdc8819da0472d62f9814aafff805386f.tar.bz2
gentoo-8f8b264fdc8819da0472d62f9814aafff805386f.zip
dev-java/tomcat-servlet-api-7.0.94: bump
Package-Manager: Portage-2.3.64, Repoman-2.3.12 Signed-off-by: Miroslav Šulc <fordfrog@gentoo.org>
-rw-r--r--dev-java/tomcat-servlet-api/Manifest1
-rw-r--r--dev-java/tomcat-servlet-api/tomcat-servlet-api-7.0.94.ebuild38
2 files changed, 39 insertions, 0 deletions
diff --git a/dev-java/tomcat-servlet-api/Manifest b/dev-java/tomcat-servlet-api/Manifest
index 9457927e679..9e387e4c560 100644
--- a/dev-java/tomcat-servlet-api/Manifest
+++ b/dev-java/tomcat-servlet-api/Manifest
@@ -5,6 +5,7 @@ DIST apache-tomcat-6.0.44-src.tar.gz 3447711 BLAKE2B 7baf1fc24a7c9aba7e2ddac63fe
DIST apache-tomcat-6.0.53-src.tar.gz 3522914 BLAKE2B 054b097c16861abaa8bdbeba713b49bc1dfcff573bb3f4bd0ff5807c33a2a0fb991af618f6e11e5b3ce3fa55c589fc6569342cab5d5a00349c79bc7061d81e40 SHA512 915a0a18f5c2883625c9441eed6465973eff4f6bf41e08e925c7edaea89ef8f6ee9476d3e06fa38228d4bcb4decaf53e3a7bdb7ec7e899e6250db3e12a9f5f2c
DIST apache-tomcat-7.0.82-src.tar.gz 4697342 BLAKE2B 1106ed04dc83e64e395de29f01a7752a0578b0c88046eb59614a7cfc0d8a98e3aebb698c8eb56763eea41620d9b42482971c5093304184b1028c6bd8f9770ada SHA512 fc92388d81316de0246df4074c417ffa341eab55308c0694e9ea71c5497c863b42019cd1f38628ff640114c501a06c4e9c428cb2b6f1bc1c16fb337a286718db
DIST apache-tomcat-7.0.93-src.tar.gz 4786577 BLAKE2B 8b72418c98369e0e104c5f51e9d822c287487b5d3b66a4a6d005535b33a35a6cbc50c49b48100555bfaba0c6c983ea11dcdf381d2fba80a77fc17ac0df20efaa SHA512 5f9b08827aeae58f371496c34ce1ae5692bd5403e1a9a7a91b283ece3289356dbd85d48fcb71958aaeeb42cd65bb70fcf34cbe2db3901475cfb812370766f3fc
+DIST apache-tomcat-7.0.94-src.tar.gz 4966331 BLAKE2B e806baa91ebe4672fb238d6fd461b2055ff90db822b7edb2ad4432334d45cf2c2286639bc12f83987972a47129493bef4ba6ec77e544a93e000282a2d24ae9e8 SHA512 5e8d2fab7145af5677170299bec0ae5ea5fd20b7a539738678a420581f9b53a95a6fbb1caffb54c7222d97edfe8ff34ce6dbb7ba62adb1a61f2bfa6b15c43139
DIST apache-tomcat-8.0.53-src.tar.gz 5057041 BLAKE2B 3a50d2f61baecb5244909972384e36478c69e7592dd35119d8b7b974273c57a4855082f309146ed160144dbdcced3236fd586b047970bd8558bbe7b7e002e9fd SHA512 0b56bc723277b2888896ab34ec3e49cb56bac94ddf1a9b96bd023982e2ffabd5317f63b3c0971afdc8cd7a6364197409df461d22151dbaab3a2be7daf6858b9e
DIST apache-tomcat-8.5.23-src.tar.gz 5086043 BLAKE2B 9bcad0d465aff6da1ba4a846042491bc8d5963283ed1d2530a26ab48289d14e8b85834d24ca476c95a75c1a5f51ee3ecd71c190b9609983cce56b56bc046b6d3 SHA512 2848331553f2c1bc51a4113960c6fe7e2beddf9146341dbfde1a27e2232802cfc364c8e8b988ae862371ca1a3be34665a56a28be9eadf80f8b317e0e2525cbef
DIST apache-tomcat-8.5.39-src.tar.gz 5264067 BLAKE2B 8cd672529660783d3310beae356c32a9392f550ae72f2cdbd60f23c3b532e3adb19a295737fb39e9a2990b14edeff51cedf1f936f32f844e496e751913f2a859 SHA512 ba591290be49a01cec38300c6321b634e3ca7417074b55103afc887b9af3eda942d302aee5f1648e7fa60b5231cd7d83428846e2b55a4964f5cc98c27a844f8d
diff --git a/dev-java/tomcat-servlet-api/tomcat-servlet-api-7.0.94.ebuild b/dev-java/tomcat-servlet-api/tomcat-servlet-api-7.0.94.ebuild
new file mode 100644
index 00000000000..15794b7e362
--- /dev/null
+++ b/dev-java/tomcat-servlet-api/tomcat-servlet-api-7.0.94.ebuild
@@ -0,0 +1,38 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="6"
+JAVA_PKG_IUSE="source"
+
+inherit eutils java-pkg-2 java-ant-2
+
+MY_A="apache-${P}-src"
+MY_P="${MY_A/-servlet-api/}"
+DESCRIPTION="Tomcat's Servlet API 3.0/JSP API 2.2 implementation"
+HOMEPAGE="https://tomcat.apache.org/"
+SRC_URI="mirror://apache/tomcat/tomcat-7/v${PV}/src/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="3.0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+IUSE=""
+
+DEPEND=">=virtual/jdk-1.6"
+RDEPEND=">=virtual/jre-1.6"
+
+S="${WORKDIR}/${MY_P}/"
+
+src_prepare() {
+ default
+
+ cp "${FILESDIR}/${SLOT}-build.xml" build.xml || die "Could not replace build.xml"
+ rm -fR */*/build.xml ||die
+ java-pkg_clean
+
+ java-pkg-2_src_prepare
+}
+
+src_install() {
+ java-pkg_dojar "${S}"/output/build/lib/*.jar
+ use source && java-pkg_dosrc java/javax/servlet/
+}